For the complete documentation index, see llms.txt. This page is also available as Markdown.

Active Orders

Get active futures orders on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/trade/orders

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Query Parameters

Name
Type
Description
Example

symbol

STRING

Trading pair

BTCUSDT

orderId

STRING

Order ID

1736254849204

orderLinkId

STRING

Client order ID

client-order-1

openOnly

NUMERIC

Open orders filter

1

orderFilter

STRING

Order filter. Available values: Order, StopOrder

Order

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/trade/orders?symbol=BTCUSDT&openOnly=1&orderFilter=Order" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters:

Each item in response contains:

Name
Type
Description

symbol

STRING

Trading pair

orderType

STRING

Order type

orderLinkId

STRING

Client order ID

slLimitPrice

STRING

Stop-loss limit price

orderId

STRING

Order ID

cancelType

STRING

Cancel type

avgPrice

STRING

Average executed price

stopOrderType

STRING

Stop order type

lastPriceOnCreated

STRING

Last price at creation time

orderStatus

STRING

Order status

createType

STRING

Order creation source

takeProfit

STRING

Take-profit price

cumExecValue

STRING

Cumulative executed value

tpslMode

STRING

TP/SL mode

smpType

STRING

Self-match prevention type

triggerDirection

INTEGER

Trigger direction

blockTradeId

STRING

Block trade ID

cumFeeDetail

ARRAY

Cumulative fee details

isLeverage

STRING

Leverage mode flag

rejectReason

STRING

Reject reason

price

STRING

Order price

orderIv

STRING

Implied volatility

createdTime

STRING

Order creation time in milliseconds

tpTriggerBy

STRING

Take-profit trigger source

positionIdx

INTEGER

Position index

timeInForce

STRING

Time in force

leavesValue

STRING

Remaining order value

updatedTime

STRING

Last update time in milliseconds

side

STRING

Order side

smpGroup

INTEGER

Self-match prevention group

triggerPrice

STRING

Trigger price

tpLimitPrice

STRING

Take-profit limit price

cumExecFee

STRING

Cumulative executed fee

leavesQty

STRING

Remaining quantity

slTriggerBy

STRING

Stop-loss trigger source

closeOnTrigger

BOOLEAN

Close-on-trigger flag

placeType

STRING

Placement type

cumExecQty

STRING

Cumulative executed quantity

reduceOnly

BOOLEAN

Reduce-only flag

qty

STRING

Order quantity

stopLoss

STRING

Stop-loss price

marketUnit

STRING

Market unit

smpOrderId

STRING

Self-match prevention order ID

parentOrderLinkId

STRING

Parent client order ID

triggerBy

STRING

Trigger price source

pair

OBJECT

Pair metadata

pair contains:

Name
Type
Description

id

STRING

Pair ID

name

STRING

Pair name

leftCurrency

OBJECT

Base currency metadata

rightCurrency

OBJECT

Quote currency metadata

leftCurrency and rightCurrency contain:

Name
Type
Description

ticker

STRING

Currency ticker

img

STRING

Currency image URL

label

STRING

Currency name

Response example:

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated